import request from "@/utils/request";
const api = "/mosty-api";


// 柱状图数据

// 各区县巡防时长和里程
export function getXfscAndLcData(data) {
  return request({
    url: api + `/mosty-qwzx/tbQwXfbb/getXfscAndLc?kssj=${data.kssj}&jssj=${data.jssj}`,
    method: 'POST',
    data
  })
}

// 各区县盘查工作
export function getGqxpData(data) {
  return request({
    url: api + `/mosty-hczx/tbHcBpcry/getGqxpc?kssj=${data.kssj}&jssj=${data.jssj}`,
    method: 'POST',
    data
  })
}


// 各区县重点巡防区域
export function getZdxfqyData(data) {
  return request({
    url: api + `/mosty-jcgl/tbJcglXfqy/getZdxfqy?kssj=${data.kssj}&jssj=${data.jssj}`,
    method: 'POST',
    data
  })
}

// 各区县预警情况
export function getGqxyjqkData(data) {
  return request({
    url: api + `/mosty-yjzl//yjxx/getGqxyjqk?kssj=${data.kssj}&jssj=${data.jssj}`,
    method: 'POST',
    data
  })
}

// 折线图数据

// 警情与巡防工作对比分析
export function getJqAndXfTjData(data) {
  return request({
    url: api + `/mosty-sjzx/tbJq/getJqAndXfTj?kssj=${data.kssj}&jssj=${data.jssj}`,
    method: 'POST',
    data
  })
}


// 警情与盘查工作对比分析
export function getJqAndPcTjData(data) {
  return request({
    url: api + `/mosty-sjzx/tbJq/getJqAndPcTj?kssj=${data.kssj}&jssj=${data.jssj}`,
    method: 'POST',
    data
  })
}


// 警情与重点区域巡逻对比分析
export function getJqandQyxfData(data) {
  return request({
    url: api + `/mosty-jcgl/tbJcglXfqy/getJqandQyxf?kssj=${data.kssj}&jssj=${data.jssj}`,
    method: 'POST',
    data
  })
}


// 警情与预警指令执行对比分析
export function getJqscAndZlTjfData(data) {
  return request({
    url: api + `/mosty-yjzl/yjxx/getJqscAndZlTj?kssj=${data.kssj}&jssj=${data.jssj}`,
    method: 'POST',
    data
  })
}

